The Spring Framework

## org.springframework.beans.factory.wiring
Interface BeanWiringInfoResolver

All Known Implementing Classes:
  AnnotationBeanWiringInfoResolver, ClassNameBeanWiringInfoResolver

    public interface BeanWiringInfoResolver

Strategy interface to be implemented by objects than can resolve bean name information, given a newly instantiated bean object. Invocations to the `resolveWiringInfo(java.lang.Object)` method on this interface will be driven by the AspectJ pointcut in the relevant concrete aspect.

Metadata resolution strategy can be pluggable. A good default is `ClassNameBeanWiringInfoResolver`, which uses the fully-qualified class name as bean name.

Since:
  2.0
Author:
  Rod Johnson
See Also:
  `BeanWiringInfo`, `ClassNameBeanWiringInfoResolver`, `AnnotationBeanWiringInfoResolver`

Method Summary
`BeanWiringInfo` `resolveWiringInfo(Object beanInstance)` Resolve the BeanWiringInfo for the given bean instance.

Method Detail

### resolveWiringInfo

    BeanWiringInfo resolveWiringInfo(Object beanInstance)

  Resolve the BeanWiringInfo for the given bean instance.

  Parameters:
    `beanInstance` - the bean instance to resolve info for
  Returns:
    the BeanWiringInfo, or `null` if not found

The Spring Framework

Copyright © 2002-2008 The Spring Framework.